From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pypdf/
Date: Tue, 7 Mar 2023 07:08:54 +0000 (UTC) [thread overview]
Message-ID: <1678172802.d44acc1982d547e87d937d0f280370d2afd3fc84.mgorny@gentoo> (raw)
commit: d44acc1982d547e87d937d0f280370d2afd3fc84
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 7 06:00:36 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Mar 7 07:06:42 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d44acc19
dev-python/pypdf: Bump to 3.5.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pypdf/Manifest | 2 ++
dev-python/pypdf/pypdf-3.5.1.ebuild | 60 +++++++++++++++++++++++++++++++++++++
2 files changed, 62 insertions(+)
diff --git a/dev-python/pypdf/Manifest b/dev-python/pypdf/Manifest
index 0c4ead2a4c43..2e163b75b80a 100644
--- a/dev-python/pypdf/Manifest
+++ b/dev-python/pypdf/Manifest
@@ -2,4 +2,6 @@ DIST pypdf-3.3.0.gh.tar.gz 6803536 BLAKE2B ff70995882581c816fbf7410232c68e964963
DIST pypdf-3.4.0.gh.tar.gz 6931831 BLAKE2B 037ac998cc1e3d078281b64183197678a80345731f6d4691b00f9e546eb61eaa34c4d7f4b704191c887975517da73359983f1b7405776e99257f79b1604dafc0 SHA512 9bee70a039c42533b600f1e95e28a4889d7df212bae18deca7d88501008d3a3e2b4d7fe36134e947cb14b0acc650126688c358ce2b662917a4c6df46241db1ab
DIST pypdf-3.4.1.gh.tar.gz 6930245 BLAKE2B 9e8a5a1ebe95b64c9274ce6b0ea252d65f41d4b6791d6c6acf87f810794892337aed13ddc9b77f05a404fe94b3d9c2444f2a06c4feea9661204e71684bbbbfd5 SHA512 e2e3fa74bc6e96afc5999429e7603dd3ab8e6443b6259e456bc6d90cb2d7a15a484b226e218478c1e92cfd7fe23c93247f212568c6fcd51d80afde32b83460ba
DIST pypdf-3.5.0.gh.tar.gz 7181507 BLAKE2B 8f5c129613ed12a9eaa90cf0e6fa189b0fc5bf109f26b8cc35ff1550e916b0635715359b2ece9c3c0243095c2e802474e99fe4c59d16b0f75b4375fb2ce07e5d SHA512 a8a0fad3fd08d88738088a06df4f1cbf419571e9e817c6097ce8bdcf7b1dd32f478ac712879cabceb7034f4e9a421f887ff117a1812782eadb670c8043aff86c
+DIST pypdf-3.5.1.gh.tar.gz 7183874 BLAKE2B 29ce7d052f0c466e72974ec051e149c2383136cc0097e2e104c4c1e5c37836f7908b25bfaa32e5fd85082f860b06ad88adbfbb5bbff95bc7a735e127b26d7964 SHA512 4f28cc0822f472087f096b4b2ee553b87e458009b29c43d41bbba53de9862292c78f4b31a860d4c783a6af4f92fdf32612bab7a42190373d9d9ceae39080bb35
DIST pypdf-sample-files-0fe84b30ed33ff3daa9293e44349b8618f135699.gh.tar.gz 9027166 BLAKE2B 912bb9fbd632bd0ad2cc2e865a1e6870ad7064aa2cf4d6f96217f63ac685e9a511f0bb20c22d48ae970a2eb171b27a0fa680fa42892425531f69735840cf741b SHA512 07a71a3566dabcea5dc8a549949d0f0c0f9483d5d9f85851d6e4e702dd374b348469a80e5300d18983e560ee9a44d0639b55eb338023b9ebbdb26c6f8c455e07
+DIST pypdf-sample-files-fb7a080b35b3553bd10221282beeda7847959e83.gh.tar.gz 9027029 BLAKE2B 8f8797263b86f08efd9708d5812000efd08708abf66a0e95f50f5a147102e555dd7f8c465ae73cae842d86efdb52cabba5f8962626f56cb1b98409bfa108e150 SHA512 3a9cdab964a14cf6b14d80d917441a4e5effe2b7647163b666781ecabd189624dbbe5039111f6b1d753ff73e013665a1b86d87ca7806580fda58ec5810f88e94
diff --git a/dev-python/pypdf/pypdf-3.5.1.ebuild b/dev-python/pypdf/pypdf-3.5.1.ebuild
new file mode 100644
index 000000000000..246ddfc145ee
--- /dev/null
+++ b/dev-python/pypdf/pypdf-3.5.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=fb7a080b35b3553bd10221282beeda7847959e83
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+ https://pypi.org/project/pypdf/
+ https://github.com/py-pdf/pypdf/
+"
+SRC_URI="
+ https://github.com/py-pdf/pypdf/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+ -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+ )
+"
+S=${WORKDIR}/pypdf-${PV}
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ dev-python/pillow[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # rely on -Werror
+ tests/test_utils.py::test_deprecate_no_replacement
+ tests/test_workflows.py::test_orientations
+)
+
+src_unpack() {
+ default
+ if use test; then
+ mv "sample-files-${SAMPLE_COMMIT}"/* "${S}"/sample-files/ || die
+ fi
+}
+
+python_test() {
+ epytest -o addopts= -m "not enable_socket"
+}
next reply other threads:[~2023-03-07 7:09 UTC|newest]
Thread overview: 111+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-03-07 7:08 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-16 9:21 [gentoo-commits] repo/gentoo:master commit in: dev-python/pypdf/ Michał Górny
2024-11-16 9:20 Michał Górny
2024-11-16 8:38 Arthur Zamarin
2024-11-16 8:09 Michał Górny
2024-10-28 5:12 Michał Górny
2024-10-19 10:17 Michał Górny
2024-10-19 10:11 Arthur Zamarin
2024-10-19 9:26 Arthur Zamarin
2024-10-19 7:39 Arthur Zamarin
2024-09-29 15:20 Michał Górny
2024-09-18 14:03 Michał Górny
2024-08-10 8:19 Michał Górny
2024-08-10 8:17 Michał Górny
2024-08-10 7:25 Michał Górny
2024-08-10 6:46 Michał Górny
2024-07-22 1:47 Michał Górny
2024-07-15 9:04 Michał Górny
2024-05-18 8:09 Michał Górny
2024-04-25 3:39 Michał Górny
2024-04-24 17:16 Sam James
2024-04-24 16:15 Sam James
2024-04-24 15:31 Sam James
2024-04-08 3:06 Michał Górny
2024-03-22 12:37 Michał Górny
2024-03-22 6:14 Arthur Zamarin
2024-03-22 6:14 Arthur Zamarin
2024-03-21 18:13 Arthur Zamarin
2024-03-07 18:44 Sam James
2024-03-07 17:09 Michał Górny
2024-03-07 16:22 Michał Górny
2024-03-04 6:31 Michał Górny
2024-02-19 4:10 Michał Górny
2024-02-14 17:25 Michał Górny
2024-02-14 16:44 Sam James
2024-01-29 10:11 Michał Górny
2024-01-29 5:06 Michał Górny
2024-01-28 19:37 Michał Górny
2024-01-19 18:28 Arthur Zamarin
2024-01-13 12:45 Michał Górny
2024-01-13 12:02 Sam James
2024-01-13 10:00 Arthur Zamarin
2024-01-13 9:22 Arthur Zamarin
2023-12-25 7:06 Michał Górny
2023-12-18 5:18 Michał Górny
2023-12-11 4:14 Michał Górny
2023-11-25 6:58 Michał Górny
2023-11-25 6:36 Sam James
2023-11-25 6:36 Sam James
2023-11-14 20:06 Michał Górny
2023-10-30 18:10 Michał Górny
2023-10-28 15:23 Michał Górny
2023-10-27 19:32 Sam James
2023-10-27 19:32 Sam James
2023-10-11 3:22 Michał Górny
2023-10-08 17:48 Michał Górny
2023-09-26 4:44 Michał Górny
2023-09-25 19:26 Sam James
2023-09-25 18:27 Arthur Zamarin
2023-09-25 2:55 Michał Górny
2023-09-18 2:39 Michał Górny
2023-09-10 14:51 Michał Górny
2023-09-04 2:48 Michał Górny
2023-08-27 15:59 Michał Górny
2023-08-26 9:46 Michał Górny
2023-08-24 12:47 Michał Górny
2023-08-21 2:52 Michał Górny
2023-08-14 6:26 Michał Górny
2023-08-07 3:01 Michał Górny
2023-07-30 17:51 Michał Górny
2023-07-28 9:26 Michał Górny
2023-07-28 7:56 Sam James
2023-07-28 7:56 Sam James
2023-07-24 3:33 Michał Górny
2023-07-17 7:34 Michał Górny
2023-07-10 2:36 Michał Górny
2023-07-03 4:15 Michał Górny
2023-06-28 5:06 Michał Górny
2023-06-27 11:36 Michał Górny
2023-06-27 9:08 Jakov Smolić
2023-06-27 7:14 Sam James
2023-06-25 2:26 Michał Górny
2023-06-24 6:10 Michał Górny
2023-06-19 13:43 Michał Górny
2023-06-19 4:58 Michał Górny
2023-06-05 5:07 Michał Górny
2023-06-01 7:24 Sam James
2023-05-23 16:21 Michał Górny
2023-05-23 16:10 Arthur Zamarin
2023-05-23 15:35 Arthur Zamarin
2023-05-22 5:53 Michał Górny
2023-04-28 15:57 Arthur Zamarin
2023-04-28 15:55 Arthur Zamarin
2023-04-28 14:41 Arthur Zamarin
2023-04-23 19:30 Michał Górny
2023-04-17 5:41 Michał Górny
2023-04-10 6:07 Michał Górny
2023-03-30 17:12 Michał Górny
2023-03-30 16:57 Sam James
2023-03-30 15:34 Arthur Zamarin
2023-03-26 18:02 Michał Górny
2023-03-19 19:03 Michał Górny
2023-03-12 13:18 Michał Górny
2023-03-07 15:45 Sam James
2023-03-04 11:17 Arthur Zamarin
2023-02-27 5:38 Michał Górny
2023-02-13 6:05 Michał Górny
2023-02-06 4:31 Michał Górny
2023-01-23 7:34 Michał Górny
2023-01-09 8:09 Michał Górny
2023-01-01 7:26 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1678172802.d44acc1982d547e87d937d0f280370d2afd3fc84.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox